Bug 38092 - Allow "admin" as username
Allow "admin" as username
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.3-2-errata
Assigned To: Julia Bremer
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-19 15:34 CET by Janis Meybohm
Modified: 2018-12-05 14:39 CET (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.171
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2015031721000128, 2017070721000207
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2015-03-19 15:34:18 CET
2015031721000128

Because "admin" is not permitted by username syntax, 90_postjoin/10admember fails when creating the domain admin. As this is done after the AD credentials have been verified, the message is very confusing for the user:


-- var/log/univention_setup.log
__STEP__:75
__MSG__:Einrichten des Administrator-Kontos...
19.03.15 10:23:47.242  MODULE      ( PROCESS ) : Prepare administrator account
19.03.15 10:23:47.475  MODULE      ( ERROR   ) : Account creation for admin failed
19.03.15 10:23:47.476  MODULE      ( ERROR   ) : udm users/user create output:
E: Invalid Syntax: User name: Username must only contain numbers, letters and dots, and may not be 'admin'!

__ERR__:Eine Verbindung zum AD-Server %s konnte nicht hergestellt werden. Bitte überprüfen Sie Benutzername und Passwort.
run-parts: /usr/lib/univention-system-setup/scripts/90_postjoin//10admember exited with return code 1
Comment 1 Stefan Gohmann univentionstaff 2018-04-25 16:20:08 CEST
Happened here again while joining UCS into an AD domain: Ticket#2017070721000207

root@master441:~# udm users/user create --set username=admin --set lastname=Admin --set password=univention
E: Invalid Syntax: User name: Username must only contain numbers, letters and dots, and may not be 'admin'!
root@master441:~# s


We should allow admin as username.
Comment 2 Julia Bremer univentionstaff 2018-11-27 11:12:46 CET
Successful build
Package: univention-directory-manager-modules
Version: 13.0.25-20A~4.3.0.201811271106
Branch: ucs_4.3-0
Scope: errata4.3-2
User: jbremer

c9b95ff8c9 Bug #38092: Advisory
8acd8c778e Bug #38092: Merge branch 'jbremer/bug38092' into 4.3-2
7661b6387d Bug #38092: Version bump
cdd7a508c0 Bug #38092: Updated translation
ab60961d00 Bug #38092: Username admin is now allowed

Creating a user with the name 'admin' is now allowed
Comment 3 Stefan Gohmann univentionstaff 2018-11-27 12:25:08 CET
CLI test: OK

UMC test: OK

Translation: OK

YAML: OK
Comment 4 Arvid Requate univentionstaff 2018-12-05 14:39:01 CET
<http://errata.software-univention.de/ucs/4.3/355.html>